package com.muyu.kvt.domain.req;

import com.muyu.kvt.domain.AssetStructureList;
import com.muyu.kvt.domain.ChildrenList;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * AssetStructureResponse
 *
 * @author LeYang
 * on 2024/4/21
 */
@Data
@SuperBuilder
@NoArgsConstructor
public class AssetStructureResponse {
    private List<AssetStructureList> assetStructureLists;
    private List<ChildrenList> childrenLists;
}
