package com.muyu.kvt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.kvt.domain.AssetStructureList;
import com.muyu.kvt.domain .DataType;
import com.muyu.kvt.domain.Kvt;
import com.muyu.kvt.domain.req.AssetStructureResponse;

import java.sql.SQLException;
import java.util.List;

/**
 * kvt
Service接口
 *
 * @author muyu
 * @date 2024-04-20
 */
public interface KvtService extends IService<Kvt> {
    /**
     * 查询kvt
列表
     *
     * @param kvt kvt

     * @return kvt
集合
     */
    public List<Kvt> list(Kvt kvt);

    boolean connectionTest(Kvt kvt) throws ClassNotFoundException, SQLException;

    List<DataType> dataTypeList();


    Kvt listResult(String name);

//    List<AssetStructureList> assetStructureList() throws ClassNotFoundException, SQLException;

    List<AssetStructureResponse> assetStructureResponse() throws ClassNotFoundException, SQLException;

    void synchronizationAdd(Kvt kvt) throws SQLException, ClassNotFoundException;


//    List<String> kvtList(Kvt kvt) throws ClassNotFoundException, SQLException;

}
