package com.muyu.kvt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.kvt.domain.AssetStructureList;
import com.muyu.kvt.domain.DataType;
import com.muyu.kvt.domain.Kvt;

import java.util.List;

/**
 * kvt
Mapper接口
 *
 * @author muyu
 * @date 2024-04-20
 */
public interface KvtMapper extends BaseMapper<Kvt> {

    List<DataType> dataTypeList();


    Kvt findName(String name);

    List<AssetStructureList> assetStructureList();


    void synchronizationAdd(Kvt kvt);
}
